### Function Macro

# GObject IMPLEMENT_INTERFACE_DYNAMIC

since: 2.24

#### Declaration

    #define G_IMPLEMENT_INTERFACE_DYNAMIC (
      TYPE_IFACE,
      iface_init
    )

#### Description

A convenience macro to ease interface addition in the `_C_` section of G_DEFINE_DYNAMIC_TYPE_EXTENDED().

See G_DEFINE_DYNAMIC_TYPE_EXTENDED() for an example.

Note that this macro can only be used together with the G_DEFINE_DYNAMIC_TYPE_EXTENDED macros, since it depends on variable names from that macro.

Available since: 2.24

This function is not directly available to language bindings.

#### Parameters

`TYPE_IFACE`

  Type: `-`

  The `GType` of the interface to add.

`iface_init`

  Type: `-`

  The interface init function.